> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Recipients

> Retrieve a list of all recipients for the subaccount.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/{subaccountId}/banking/recipients
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/recipients:
    get:
      tags:
        - Recipients
      summary: Get All Recipients
      description: Retrieve a list of all recipients for the subaccount.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
        - name: currency
          in: query
          schema:
            type: string
            enum:
              - NGN
              - BRL
              - USD
              - EUR
              - GHS
              - ZMW
              - TZS
              - ARS
              - AED
              - MXN
              - ARS
              - COP
              - USDC
              - USDT
              - EURC
          required: false
          description: Filter recipients by currency
        - name: payment_rail
          in: query
          schema:
            type: string
            enum:
              - sepa
              - ach
              - wire
              - pse
              - celo
              - btc_lightning
              - xlm
              - stellar
              - avax
              - tron
              - solana
              - polygon
              - ethereum
          required: false
          description: Filter recipients by payment rail
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    bank_name:
                      type: string
                    account_owner_name:
                      type: string
                    last_4:
                      type: string
                    active:
                      type: boolean
                    account_id:
                      type: string
                    currency:
                      type: string
              example:
                - id: f4725e12-466f-49fd-89bd-899635f3f7f6
                  bank_name: Access Bank Nigeria Plc
                  account_owner_name: Test Account
                  last_4: '1117'
                  active: true
                  account_id: '0062881117'
                  currency: NGN
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              example:
                statusCode: 404
                timestamp: '2025-11-20T21:53:34.527Z'
                error: Error
                message: Bank account not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````